콘텐츠로 건너뛰기

Bernini-R Edit Image

통합

모델 id bernini-r/edit-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bernini-r/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

예시와 같은 파일: $0.03 30 API 크레딧 실행 전에 파일을 측정합니다 이 페이지에서 실행

API 키 받기
Open model · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

프롬프트 또는 요청된 편집을 설명하는 텍스트입니다.

•필수 image_url
파일을 끌어다 놓거나

편집 소스로 제공된 이미지입니다.

기본값 848

긴 변의 픽셀 설정입니다. 편집에서는 소스/참조 미디어의 크기 상한으로 사용되고, 생성에서는 출력 크기를 설정하는 데 사용됩니다.

고급 negative_prompt · num_inference_steps · seed · enable_prompt_expansion · enable_safety_checker

지정하지 않으면 Wan2.2의 표준 네거티브 프롬프트를 사용하는 네거티브 프롬프트입니다.

기본값 30

수행할 디노이징 단계 수입니다.

결과를 재현할 수 있게 하는 시드입니다. 생략하면 무작위로 선택됩니다.

POST /run/bernini-r/edit-image?wait=20 견적 → $0.03
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bernini-r/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Bernini-R Edit Image 정보

날씨, 재질 또는 스타일 변경과 같은 지시를 담은 `image_url`과 `prompt`를 제공합니다. `negative_prompt`는 선택 사항입니다. `num_inference_steps`는 1~50이고, `max_image_size`는 긴 변을 256~1280 px로 설정합니다. `enable_prompt_expansion`은 LLM으로 프롬프트를 다시 작성하고 이를 `actual_prompt`로 반환합니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
prompt필수
유형string
프롬프트 또는 요청된 편집을 설명하는 텍스트입니다.
negative_prompt선택 사항
유형string | null
지정하지 않으면 Wan2.2의 표준 네거티브 프롬프트를 사용하는 네거티브 프롬프트입니다.
num_inference_steps선택 사항
유형integer
기본값30
1 – 50
수행할 디노이징 단계 수입니다.
max_image_size선택 사항
유형integer
기본값848
256 – 1,280
긴 변의 픽셀 설정입니다. 편집에서는 소스/참조 미디어의 크기 상한으로 사용되고, 생성에서는 출력 크기를 설정하는 데 사용됩니다.
seed선택 사항
유형integer | null
결과를 재현할 수 있게 하는 시드입니다. 생략하면 무작위로 선택됩니다.
enable_prompt_expansion선택 사항
유형boolean
기본값false
생성 전 LLM 프롬프트 재작성 옵션입니다. 모델이 향상된 프롬프트로 조정되었지만 기본값은 비활성화되어 있습니다.
image_url필수 image
유형url · image
편집 소스로 제공된 이미지입니다.
enable_safety_checker선택 사항
유형boolean
기본값true
호출자에게 권한이 있으면 false로 설정해 검사를 완화할 수 있습니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bernini-r/edit-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 30,
    "usd": "0.03",
    "charged": 30,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "seed": 42,
    "actual_prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
image
object {url, content_type, file_name, file_size, width, height}생성 또는 편집으로 만들어진 이미지입니다.
seed
integer생성 중 적용된 시드입니다.
actual_prompt
string | null프롬프트 확장이 수행된 경우에만 채워지는 최종 확장 프롬프트입니다.

더 많은 모델: 이미지 편집

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/bernini-r/edit-image.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt